sip
Get Sip Trunk
Get SIP trunk by ID.
GET
/
sip
/
tenants
/
{tenant_id}
/
sip-trunks
/
{trunk_id}
Get Sip Trunk
curl --request GET \
--url https://api.example.com/sip/tenants/{tenant_id}/sip-trunks/{trunk_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/sip/tenants/{tenant_id}/sip-trunks/{trunk_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/sip/tenants/{tenant_id}/sip-trunks/{trunk_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"trunk_type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sip_uri": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"phone_numbers": [
"<string>"
],
"provider": "<string>",
"livekit_trunk_id": "<string>",
"dispatch_rule_id": "<string>",
"last_health_check": "2023-11-07T05:31:56Z",
"metadata": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
SIP trunk response model.
Required string length:
1 - 255Pattern:
^(inbound|outbound)$⌘I
Get Sip Trunk
